/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                                                                        **
**                       Copyright (C) A. P. H.                           **
**                           BIALYSTOK 2007                               **
**                                                                        **
**                         MODULE UART2 Service                           **
**                                                                        **
**            Mikrokontroler ARM: LPC2362..LPC2368, LPC2372..LPC2378      **
**                                                                        **
**                     Wersja z dnia : 2007.03.25                         **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/

#ifndef _UART3_ 
#define _UART3_

#include "types.h"

extern void UART3InitEnvir ( void ) ;

extern void UART3HardwInit( ULONG /* PeriphClk   */ ,
                             UCHAR /* SerialMode  */ ,
                             ULONG /* SerialSpeed */ ) ;

extern void UART3InputReset ( void ) ;

extern void UART3Send ( UCHAR /* Data */ ) ;

extern void UART3SendString ( UCHAR * /* String */ ) ;

extern ULONG UART3DataPresent ( void ) ;

extern UCHAR UART3GetData ( void ) ;

extern UCHAR UART3Working ( void ) ;

#endif

